local function AcceptRole(accept)
   if ( AutoRoleCheck.Options.Enabled ) then
      accept();
   elseif ( AutoRoleCheck.Options.DisableOnce ) then
      AutoRoleCheck.Options.DisableOnce = false;
      AutoRoleCheck.Options.Enabled = true;
   end
end

local function LFRAcceptRole(self)
   AcceptRole(function()
       LFGListApplicationDialogDescription.EditBox:SetText(
          AutoRoleCheck.Options.Comment
       );
       LFGListApplicationDialog.SignUpButton:Click();
   end);
end

local function LFDAcceptRole(self)
   AcceptRole(function()
       LFDRoleCheckPopupAcceptButton:Click();
   end);
end

local function LFGAcceptRole(self)
   AcceptRole(function()
       LFGInvitePopupAcceptButton:Click();
   end);
end

LFGListApplicationDialog:SetScript("OnShow", LFRAcceptRole);
LFDRoleCheckPopup:SetScript("OnShow", LFDAcceptRole);
LFGInvitePopup:SetScript("OnShow", LFGAcceptRole);
